/* Calcul de Fib(n) par methode recursive      */
/*  - Fib(0) = 0                               */
/*  - Fib(1) = 1                               */
/*  - Fib(n) = Fib(n-1)+Fib(n-2)               */

public class FibonacciRecursifEnConsole {

/////////////////////////////////////////////////

/* Calcul de Fib(n) par methode recursive      */
/*  - Fib(0) = 0                               */
/*  - Fib(1) = 1                               */
/*  - Fib(n) = Fib(n-1)+Fib(n-2)               */

  static long fib(int n) {
    long res;
    switch (n) {
      case 0 : {
        res = 0; }
        break;
      case 1 : {
        res = 1; }
        break;
      default : {
        res = fib(n-1)+fib(n-2); }
        break; }
    return res;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    Console.setTitle("FibonacciRecursif");
    int n;
    long fibn;
    Console.afficher("Valeur ? ");
    n = Console.saisirInt();
    fibn = fib(n);
    Console.afficherln("Fib(",n,") = ",fibn);
  }
}